Create a new memory.
curl --request POST \
--url https://api.parallellabs.app/api/v0/companies/{companyId}/memories \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "<string>",
"category": "<string>",
"metadata": {},
"sourceChatId": "<string>",
"sourceMessageId": "<string>"
}
'import requests
url = "https://api.parallellabs.app/api/v0/companies/{companyId}/memories"
payload = {
"content": "<string>",
"category": "<string>",
"metadata": {},
"sourceChatId": "<string>",
"sourceMessageId": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
category: '<string>',
metadata: {},
sourceChatId: '<string>',
sourceMessageId: '<string>'
})
};
fetch('https://api.parallellabs.app/api/v0/companies/{companyId}/memories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": "<string>",
"content": "<string>",
"created": 123,
"id": "<string>",
"isActive": true,
"metadata": {},
"sourceChatId": "<string>",
"sourceMessageId": "<string>",
"updated": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Memories
Create a new memory.
POST
/
api
/
v0
/
companies
/
{companyId}
/
memories
Create a new memory.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Body
application/json
Memory data
Response
Created memory
Memory object
⌘I

